SourceForge has been redesigned. Learn more.
Close

GyachI V1.2.11

2011-09-03
2013-04-23
  • Greg Hosler

    Greg Hosler - 2011-09-03

    2011-09-03 (V1-2-11) Misc updates. webkitgtk, libnotify
            * - A bit of freshening here.
            * - Yahoo page now supports either gtkhtml2 or webkit.
            *   As gtkhtml2 is depricated, and some distros are dropping
            *   gtkhtml2, use webkitgtk instead. NOTE: while webkit is
            *   nice, and fancy, and more powerful than gtkhtml, do not
            *   confuse it for a browser replacement. The usage in GyachI
            *   is intended purely for the "about", "help", and a few other
            *   features. It is a KNOWN PROBLEM that using webkit for browsing
            *   *WILL* occassionally freeze up GyachI.
            * - Support added for newer libnotify
            * - Captcha support fixed.

     
  • Prabhat Ranjan

    Prabhat Ranjan - 2011-09-03

    I tried to compile 1.2.11 on Fedora 14. Here are the issues I found:

    * It gave error regarding gpgme package saying cannot find gpgme.h. Although both gpgme and gpgme-devel package are installed. I disabled this plugin to proceed further.
    *  It had problem finding gtkspell.h file as this was located in /usr/include/gtkspell-2.0 directory. To solve this I created a link to /usr/include/gtkspell

    * now the program compiles and runs. It can also handle captcha fine. However it is crashing and the error in debug mode is:
    gyachi: symbol lookup error: /usr/local/lib/gyachi/plugins/libgyachigtkspell.so: undefined symbol: gtkspell_get_from_text_view

    I have gtkspell version 2.0.16 installed and seems to be the latest so do not know why undefined symbol still remains.

    Thanks,
    - PR

     
  • Greg Hosler

    Greg Hosler - 2011-09-03

    i compiled and tested on both F-13 and F-14. On F-14 you want the gpgme-devel-1.1.8 package installed for gpgme, and for gtkspell-devel-2.0.16 package.

    you should NOT need to make any soft links. If that is what it takes, then you're doing something wrong that may end up not working or have other side effects.

    It sounds like you did not run configure. configure will find the installed packages, and set the include paths, and libraries correctly for you.

    I just now tested spelling out in an im window, and it seems to work just fine. no crash here.

    -Greg

     
  • likenatural

    likenatural - 2011-09-04

    I could successfully compile on "Linux Mint Debian 201108 RC" distribution 64-bit after installing all development libraries.  used the below config options

    """
    $ ./configure -enable-maintainer-mode -disable-wine
    $ uname -a
    Linux xxxx-laptop 2.6.39-2-amd64 #1 SMP Tue Jul 5 02:51:22 UTC 2011 x86_64 GNU/Linux
    """

    But when i try add voice support too ( ./configure -enable-maintainer-mode ) , getting the below error in 'make'

    """
    In file included from wine/winbase.h:5:0,
                     from afl.c:30:
    wine/winnt.h:625:2: error: #error You need to define a CONTEXT for your CPU
    wine/winnt.h:628:1: error: unknown type name ‘CONTEXT’
    wine/winnt.h:754:2: error: #error You need to define DEFINE_REGS_ENTRYPOINT macros for your CPU
    wine/winnt.h:765:3: error: #error You must define GET_IP for this CPU
    In file included from afl.c:30:0:
    wine/winbase.h:544:5: warning: ‘packed’ attribute ignored for field of type ‘CHAR’
    In file included from afl.c:30:0:
    wine/winbase.h:1342:48: error: unknown type name ‘CONTEXT’
    wine/winbase.h:1481:1: error: unknown type name ‘CONTEXT’
    """
    is there any code updates or anything which we can try to make voice work in x86_64 arch

     
  • Anonymous

    Anonymous - 2011-09-10

    Hi Greg,

    What's about a plugin for "now i listen to"..for xmms, audacious..or another music player?
    And the buddy icons..seem don't work so long time ..when yahoo change protocol..

    All the best !!

    N.G.

     
  • Special Ed

    Special Ed - 2011-10-17

    High 5's on -11 Greg.  Installed from source on Gentoo!  Thanks and great work!

    Ed

     
  • gilbertiddi0

    gilbertiddi0 - 2011-11-16

    Segfault with 1.2.11;

    gyachi: symbol lookup error: /usr/local/lib/gyachi/plugins/libgyachilibnotify.so: undefined symbol: notify_notification_new_with_status_icon
    

    first time I tried compiling it without plugin libnotify disabled - I recompiled it after Archlinux updated us to 3.1.0 kernel.  I have re-recompiled it withlibnotify disabled and it works again.

    Archlinux with XFCE4 DM on an atom dual core net top.

     
  • MaRk-I

    MaRk-I - 2011-11-18

    Hi gilbertiddi0:

    I get the same segfault, it happens when invisible buddies come online or try to send you a PM and the "user is TYPING" notification starts.   I tried myself with another client invisible and tried to send me a PM as soon as I started to type in the text box gyachi segfaulted, so I too compiled with libnotify plugin disabled.

    Regards;

    MaRk-I

     
  • gilbertiddi0

    gilbertiddi0 - 2011-12-03

    @ prabhatranjan; I solved the gpgme.h problem on my system - try adding

    CPPFLAGS="-I/usr/include/gpgme -D_FILE_OFFSET_BITS=64"
    

    to your ./configure line - there is a mismatch in gpgme builds.

    @ mark-i; actually, on my system it is caused by my archlinux system - no matter what build or kernel I always get the same segfault when I don't disable libnotify plugin (I still get systry notifications). 

     
  • Orveldv

    Orveldv - 2012-04-07

    And the buddy icons..seem don't work so long time ..when yahoo change protocol..

    The same here. This is very wrong…

     

Log in to post a comment.